ElevationState (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.windows
Class ElevationState

    java.lang.Object
      com.install4j.api.windows.ElevationState

    public class ElevationState

extends java.lang.Object

Enumeration class for the different elevation states the current process can be in.

Author:
  ej-technologies GmbH

Field Summary
`static ElevationState` | `ELEVATION_STATE_DEFAULT` The current process is not limited and not elevated on Vista or higher.
`static ElevationState` | `ELEVATION_STATE_FULL` The current process was elevated and runs with full rights.
`static ElevationState` | `ELEVATION_STATE_LIMITED` The current process runs with limited rights.
`static ElevationState` | `ELEVATION_STATE_NOT_APPLICABLE` All processes on a system with a Windows version previous to Vista.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEVATION_STATE_NOT_APPLICABLE

    public static final ElevationState ELEVATION_STATE_NOT_APPLICABLE

  All processes on a system with a Windows version previous to Vista.

### ELEVATION_STATE_DEFAULT

    public static final ElevationState ELEVATION_STATE_DEFAULT

  The current process is not limited and not elevated on Vista or higher. This can be a process of a non-admin user, or of an admin user when UAC is turned off. You can differentiate between those two with `Util.hasFullAdminRights()`.

### ELEVATION_STATE_LIMITED

    public static final ElevationState ELEVATION_STATE_LIMITED

  The current process runs with limited rights. UAC is turned on.

### ELEVATION_STATE_FULL

    public static final ElevationState ELEVATION_STATE_FULL

  The current process was elevated and runs with full rights. UAC is turned on.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`